libsigc++ 2.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

sigc::adaptor_trait< T_functor, I_isadaptor > Struct Template Reference
Adaptors

Trait that specifies what is the adaptor version of a functor type. More...

`#include <sigc++/adaptors/adaptor_trait.h>`

## Detailed Description

### template<class T_functor, bool I_isadaptor = is_base_and_derived<adaptor_base, T_functor>::value>
struct sigc::adaptor_trait< T_functor, I_isadaptor >

Trait that specifies what is the adaptor version of a functor type.

Template specializations for sigc::adaptor_base derived functors, for function pointers and for class methods are provided.

The template argument T_functor is the functor type to convert. I_isadaptor indicates whether T_functor inherits from sigc::adaptor_base.